# Class DeviceEvent

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents an event associated with a device, encapsulating information about a device-related occurrence or state change.

    public class DeviceEvent

Inheritance
  object
  DeviceEvent

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class is intended to be used as a data carrier for device event notifications or processing.

## Properties

### ClickType

    public ClickType? ClickType { get; set; }

#### Property Value

ClickType?